De Mozilla Foundations heeft ontwikkelaars van de open-sourcebrowser opgeroepen al hun werk onverwijld te verleggen naar de Engelstalige versie. Vorige week werd versie 1.0.5 uitgebracht, die een einde maakte aan een aantal veiligheidsproblemen.

Nu blijkt echter dat deze versie een aantal nieuwe problemen met zich meebrengt. Het gaat hierbij om toevoegingen van derde partijen aan Firefox en Thunderbird. Deze werken in sommige gevallen niet meer goed. Als voorbeeld noemt de Mozilla Foundation een extensie als Enigmail voor Thunderbird. Deze moet nog 'zwaar' worden getest.

De oproep aan ontwikkelaars betekent intussen een verdere vertraging voor lokale versies, waaronder de Nederlandse, van Firefox. Liefhebbers van een lokale versie moeten het hierdoor nog altijd doen met de verouderde versie 1.0.4, waarin de bugs nog zitten.

Enkele ontwikkelaars hebben hierom al kritiek geuit, zo weet CNet. "Nog enkele dagen en het gaat een groot pr-fiasco voor Firefox worden buiten de VS", zo stelt een ontwikkelaar in een nieuwsgroep. Een andere meldt: "Tientallen miljoenen gebruiken nog altijd 1.0.4 terwijl gevaarlijke lekken zijn bekend geworden na de publicatie van de Engelstalige 1.0.5."

Door de beslissing alle ontwikkelaars nu eendrachtig aan de nieuwe Engelstalige versie te laten werken, wordt al het werk voor de lokale markten teniet gedaan, zo vrezen de critici.